> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Messages

> Update the status of a Facebook, Instagram, X/Twitter, or WhatsApp conversation to active or archived when it is no longer active or relevant to your team.

Update the status of a conversation to active or archived. You may want to archive conversations if they are no longer active or relevant.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## **Path Parameters**

**platform** `string` *required*

The platform for status update: `facebook`, `instagram`, `twitter`, `whatsapp`

**conversationId** `string` *required*

The ID of the conversation to action. For WhatsApp this is the correspondent's phone number
(digits only, E.164 without the leading `+`).

## Body Parameters

**status** `string` *required*

Values: `active` or `archived`.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"status": "archived"}' \
-X PUT https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw
```

```javascript JavaScript theme={"system"}
const url = 'https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw';
const options = {
  method: 'PUT',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer API_KEY'
  },
  body: JSON.stringify({
    'status': 'archived'
  })
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```python Python theme={"system"}
import json
import requests

url = 'https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw'
headers = {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer API_KEY'
}
data = {
    'status': 'archived'
}

response = requests.put(url, headers=headers, data=json.dumps(data))

try:
    response.raise_for_status()
    data = response.json()
    print(data)
except requests.exceptions.RequestException as e:
    print('Error:', e)
```

```php PHP theme={"system"}
<?php

$url = 'https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw';
$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer API_KEY'
];
$data = [
    'status' => 'archived'
];

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error: ' . curl_error($ch);
} else {
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    if ($httpCode >=
```

```csharp C# theme={"system"}
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Text;
using System.Text.Json;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        string url = "https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw";
        var headers = new Dictionary<string, string>
        {
            {"Content-Type", "application/json"},
            {"Authorization", "Bearer API_KEY"}
        };
        var data = new Dictionary<string, string>
        {
            {"status", "archived"}
        };

        using (var client = new HttpClient())
        {
            var jsonData = JsonSerializer.Serialize(data);
            var content = new StringContent(jsonData, Encoding.UTF8, "application/json");

            foreach (var header in headers)
            {
                client.DefaultRequestHeaders.Add(header.Key, header.Value);
            }

            var response = await client.PutAsync(url, content);

            try
            {
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                var responseData = JsonSerializer.Deserialize<Dictionary<string, object>>(responseBody);
                Console.WriteLine(JsonSerializer.Serialize(responseData, new JsonSerializerOptions { WriteIndented = true }));
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
```

```java Java theme={"system"}
import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;

public class Main {
    public static void main(String[] args) {
        String url = "https://api.ayrshare.com/api/messages/instagram/aWdfZMTpIyzQw";
        Map<String, String> headers = new HashMap<>();
        headers.put("Content-Type", "application/json");
        headers.put("Authorization", "Bearer API_KEY");
        Map<String, String> data = new HashMap<>();
        data.put("status", "archived");

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(url))
                .headers(headers.entrySet().stream()
                        .map(entry -> entry.getKey() + ": " + entry.getValue())
                        .toArray(String[]::new))
                .PUT(HttpRequest.BodyPublishers.ofString(getJsonString(data)))
                .build();

        try {
            HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
            if (response.statusCode() >= 400) {
                System.out.println("Error: HTTP " + response.statusCode());
            } else {
                System.out.println(response.body());
            }
        } catch (IOException | InterruptedException e) {
            System.out.println("Error: " + e.getMessage());
        }
    }

    private static String getJsonString(Map<String, String> data) {
        StringBuilder jsonBuilder = new StringBuilder();
        jsonBuilder.append("{");
        for (Map.Entry<String, String> entry : data.entrySet()) {
            jsonBuilder.append("\"").append(entry.getKey()).append("\":\"").append(entry.getValue()).append("\",");
        }
        if (jsonBuilder.length() > 1) {
            jsonBuilder.setLength(jsonBuilder.length() - 1);
        }
        jsonBuilder.append("}");
        return jsonBuilder.toString();
    }
}
```

```json 200: Success theme={"system"}
{
    "status": "success"
}
```

```json 400: Missing Status theme={"system"}
{
  "action": "request",
  "status": "error",
  "code": 101,
  "message": "Missing or incorrect parameters. Please verify with the docs. .../ayrshare.com/rest-api/endpoints"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.